@media (min-width:1400px) {
.single-product #main > .product {
    width: 1400px !important;
    margin: 30px auto !important;
}}

@media (max-width:1399px) {
.single-product #main > .product {
    width: 100% !important;
	padding: 0 20px;
    margin: 30px auto !important;
}}

.single-product .thumbnails img {
    width: 100% !important;
    height: 150px !important;
    object-fit: contain;
}

.single-product .thumbnails li:hover {
	cursor: pointer;
}

.single-product .slick-prev:before {
    content: '\f054' !important;
    font-family: fontawesome !important;
    font-size: 25px !important;
    color: #8bad3f;
}

.single-product .slick-next:before {
    content: '\f053' !important;
    font-family: fontawesome !important;
    font-size: 25px !important;
    color: #8bad3f;
}

.single-product li.slick-slide:focus {
    outline: none;
}

.single-product .summary.entry-summary {
    background-image: linear-gradient(180deg, rgba(150,187,187,0.2) 0%, rgba(244,244,248,0.48) 100%);
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    transition: background 0.3s, border 0.3s, border-radius 0.3s, box-shadow 0.3s;
    border-radius: 15px;
    padding: 10px 10px 35px 10px !important;
    background-image: linear-gradient(180deg,rgba(192,211,148,.26) 100%,rgba(244,244,248,.48) 100%);
}

.single-product .woocommerce-product-gallery {
    padding-left: 80px !important;
}

.woocommerce.single-product div.product div.images img {
    width: 600px;
    height: 500px;
    object-fit: contain;
}

.woocommerce div.product div.images div.thumbnails {
    padding: 0;
    margin-top: 10px;
}

.woocommerce div.product .product_title {
    font-size: 31px;
}

.single-product.variation-product .single_variation_wrap {
    margin-top: 0 !important;
	clear: both;
}

.single-product .variations_form.cart table.variations {
    display: block !important;
}

.single-product.variation-product.woocommerce div.product form.cart {
    position: static !important;
    display: block !important;
    justify-content: unset !important;
    flex-direction: unset !important;
    top: 0 !important;
}


.single-product .elementor-text-editor.elementor-clearfix-button {
    display: block !important;
    width: auto !important;
}

.woocommerce-product-details__short-description {
    background-color: #3a3825 !important;
    padding: 20px 10px !important;
    text-align: right !important;
    color: #f4f4f8 !important;
    font-size: 23px !important;
}

.sku_and_maufacturer {
    background-color: #3a3825;
}

.product_sku {
    float: right;
    width: 50% !important;
    display: inline;
	background-color: #3a3825;
    color: #f4f4f8;
    font-size: 16px;
    padding: 10px 10px 20px 10px;
}

.product_manufacturer {
    display: inline;
    float: right;
    width: 50% !important;
	background-color: #3a3825;
    color: #f4f4f8;
    font-size: 16px;
    padding: 10px 0 20px 10px;
}

.product_manufacturer a {
    color: #f4f4f8;
    text-decoration: underline;
}

.single-product.woocommerce div.product form.cart {
    clear: both;
    display: block;
    position: static !important;
    padding-top: 0;
}

ul.general_details {
    clear: both;
    margin-top: 20px;
    color: #4a4a46;
    font-size: 16px;
    line-height: 1.8em;
	    padding-right: 60px;
}

.single-product .quantity {
    position: relative !important;
}

a.tech_details_anchor_button {
    color: #c0d394 !important;
    font-size: 16px;
    padding: 10px;
	    margin-top: 30px;
}

.summary.entry-summary hr {
    border-top-color: #96bbbb;
    width: 30% !important;
    margin: 20px 0 20px 0;
}

section.related.products {
    clear: both;
	padding-top: 0;
}

.woocommerce-product-gallery__image {
    pointer-events: none !important;
}

.social_column {
    clear: both;
    display: flex;
    float: right;
    width: 40% !important;
	padding-top: 20px;
	    color: #4b4646;
}

.tags_column {
    display: inline;
    float: left;
    width: 60% !important;
	padding-top: 20px;
	    color: #4b4646;
}

.tags_column a {
    color: #0b2027;
}

.social_column > span, .tags_column > span {
    margin-left: 55px;
}

.product_banners {
    clear: both;
    padding: 1px 0;
}

.tech_details {
    background-image: linear-gradient(180deg, rgba(150,187,187,0.2) 0%, rgba(244,244,248,0.48) 100%);
    transition: background 0.3s, border 0.3s, border-radius 0.3s, box-shadow 0.3s;
    margin-left: calc(50% - 50vw);
    margin-right: calc(50% - 50vw);
    padding: 20px 0;
	    background-image: linear-gradient(180deg,rgba(192,211,148,.24) 0%,rgba(244,244,248,.48) 100%);
}

.tech_details_container {
	width: 1370px;
	margin: 0 auto;
}

.tech_details h4 {
    color: #555555;
    font-size: 20px;
    font-weight: bold;
    margin-top: 0;
}

.tech_details .right_column {
    display: inline;
    float: right;
    width: 50%;
	    color: #555555;
}

.tech_details .left_column {
    display: inline;
    float: left;
    width: 50%;
	    color: #555555;
}

.tech_details h5 {
    clear: both;
    font-size: 18px;
    color: #555555;
    font-weight: bold;
    padding-top: 15px;
	margin-bottom: 10px;
}

.long_desc {
    box-shadow: 0px 4px 10px 6px rgba(0,0,0,0.5);
    border-radius: 15px;
    margin: 25px auto 0 auto;
}

.long_desc_container {
    padding: 10px;
	position: relative;
}

.long_desc h4 {
    color: #555555;
    font-size: 20px;
    font-weight: bold;
    margin-top: 0;
}

.long_desc_right_column {
    display: inline;
    float: right;
    width: 50%;
    padding-left: 50px;
}

.long_desc_right_column .buttons {
    /* position: absolute; */
    /* bottom: 10px; */
    /* right: 10px; */
    /* width: 40%; */
    text-align: center;
    display: flex;
    align-items: center;
    margin-top: 50px;
}

.long_desc_right_column .buttons a.buy_button {
    font-size: 19px;
    color: #f4f4f8;
    background-color: #8bad3f;
    border-radius: 15px 15px 15px 15px;
    font-weight: normal;
    padding: 15px 30px;
    text-align: center;
    width: 145px;
    transition: all 0.3s ease;
    margin-left: 100px;
}

.long_desc_right_column .buttons a.catalog_button {
    font-size: 19px;
    color: #c0d394;
    background-color: #ffffff;
    border-radius: 15px;
    font-weight: normal;
    padding: 11px 30px;
    text-align: center;
    width: 145px;
    transition: all 0.3s ease;
    border: 4px solid #c0d394;
}

.long_desc_right_column .buttons a.buy_button:hover, .long_desc_right_column .buttons a.catalog_button:hover {
    color: #ffffff;
    background-color: #c0d394;
    transition: all 0.3s ease;
}

.long_desc_left_column {
    display: inline;
    float: left;
    width: 50%;
    text-align: left;
}

.long_desc_left_column img {
    height: 400px;
    overflow: hidden;
	object-fit: cover;
}

.product_customer_service {
    clear: both;
    padding-top: 10px;
}

.display_product_button {
	display: none;
}

.out_of_stock_product_button {
	display: none;
}

/* section.related.products {
    display: none;
} */

.related.products > h2, .upsells.products > h2 {
    color: #555555;
    font-size: 20px;
    font-weight: 600;
    margin: 80px 0 15px 0;
}

.related.products ul.products, .upsells.products ul.products {
    margin: 0;
}

.related.products li.product, .upsells.products li.product {
    box-shadow: 0px 0px 2px 0px rgba(150,187,187,0.55);
    height: 415px;
    padding: 0 !important;
    margin-left: 10px !important;
    width: 24.4% !important;
}

.related.products li.product:last-child, .upsells.products li.product:last-child {
    margin-left: 0 !important;
}

.related.products h2.woocommerce-loop-product__title, .upsells.products h2.woocommerce-loop-product__title {
    color: #555555;
    padding: 0 !important;
}

.related.products span.price, .upsells.products span.price {
    margin: 0 0 6px 0 !important;
}

.related.products span.woocommerce-Price-amount.amount, .upsells.products span.woocommerce-Price-amount.amount {
    line-height: 1.3;
}

/* .related.products li.product.sale span.price, .related.products li.product.sale span.price span, .upsells.products li.product.sale span.price, .upsells.products li.product.sale span.price span {
    color: #555555 !important;
} */

.related.products span.onsale, .upsells.products span.onsale {
	display: block !important;
}

a.reset_variations {
	display: none;
}

.woocommerce-notices-wrapper {
    width: 1375px;
    margin: 55px auto 0 auto;
}
















/* variation product */

table.variations tbody {
    width: 100% !important;
    display: block;
}

table.variations tbody tr {
    float: right;
    width: 50% !important;
	margin-top: 10px;
}

td.label label {
    color: #4b4646 !important;
    font-size: 16px !important;
    font-weight: normal !important;
    margin-bottom: 0;
}

table.variations tbody tr td.value {
    width: 100%;
    display: block;
}

table.variations tbody tr td.value select {
    background-color: rgba(255,255,255,0);
    border-color: #96bbbb;
    border-width: 1px 1px 1px 1px;
    border-radius: 10px 10px 10px 10px;
    width: 100%;
    padding: 5px 10px;
    color: #373a3c;
    font-size: 16px;
}

table.variations tbody tr:nth-child(odd) {
    padding-left: 5px;
}

table.variations tbody tr:nth-child(even) {
    padding-right: 5px;
}

/* .single-product.variation-product p.price {
    display: block !important;
} */

.woocommerce-variation-price {
    clear: both;
    float: right;
    display: inline;
    width: 40%;
    text-align: right;
	padding-top: 10px;
	padding-right: 0;
}

.woocommerce-variation-price .price {
    color: #8bad3f !important;
    font-size: 24px !important;
}

.woocommerce-variation-add-to-cart {
    float: left !important;
    display: inline !important;
    width: 50% !important;
    text-align: left;
	    padding-left: 0;
}

.woocommerce-variation-add-to-cart .quantity {
    float: right !important;
    text-align: right !important;
    width: 20% !important;
    height: 60px;
	margin-top: -5px !important;
}

.woocommerce-variation-add-to-cart .quantity input[type="number"] {
    width: 80px;
    background-color: #f4f4f8;
    border: 2px solid #ffffff;
    color: darkgrey;
    font-size: 19px;
}

.woocommerce-variation-add-to-cart .quantity label.screen-reader-text {
    display: none !important;
}

.woocommerce-variation-add-to-cart .quantity input.plus {
    position: absolute;
    top: 0;
	    right: -30px;
    width: 30px;
    font-size: 20px;
    background-color: transparent;
    border: 1px solid #96bbbb;
    color: darkgrey;
	    height: 30px;
}

.woocommerce-variation-add-to-cart .quantity input.minus {
    position: absolute;
    bottom: 0;
    right: -30px;
    width: 30px;
   font-size: 20px;
    background-color: transparent;
    border: 1px solid #96bbbb;
    color: darkgrey;
	    height: 30px;
}

.woocommerce-variation-add-to-cart .quantity input:focus {
    outline: none;
}

.woocommerce-variation-add-to-cart button.single_add_to_cart_button.button.alt {
    font-size: 19px !important;
    color: #f4f4f8 !important;
    background-color: #8bad3f !important;
    border-radius: 15px 15px 15px 15px !important;
    font-weight: normal;
    padding: 15px 30px;
    width: 50% !important;
}

.woocommerce-variation-add-to-cart button.single_add_to_cart_button.button.alt:hover {
    background-color: #c0d394 !important;
}

.single-product .woocommerce-variation.single_variation {
    font-size: 18px !important;
    text-align: center;
    color: red;
    clear: both;
    padding: 0;
}

.variation-product p.price {
    clear: both;
    float: right;
    display: inline;
    width: 40% !important;
    text-align: right;
    padding-top: 10px;
    padding-right: 10px;
    margin-top: -60px;
	    color: #8bad3f !important;
}

.variation-product p.price {
    display: none;
}







/* simple product */

/* .simple_product .price {
    color: #e91d24 !important;
    font-size: 24px !important;
} */

.simple_product .quantity {
    float: right !important;
    /* text-align: right !important; */
    width: 30% !important;
    height: 60px;
    margin-top: -5px !important;
    margin-right: 100px !important;
    margin-left: 0 !important;
}

.simple_product .quantity input[type="number"] {
    width: 80px;
    background-color: #f6f6f6;
    border: 2px solid #ffffff;
    color: darkgrey;
    font-size: 14px;
    height: 60px;
}

.simple_product .quantity label.screen-reader-text {
    display: none !important;
}

.simple_product .quantity input.plus {
    position: absolute;
    top: 0;
	    right: -30px;
    width: 30px;
    font-size: 20px;
    background-color: transparent;
    border: 1px solid #96bbbb;
    color: darkgrey;
	    height: 30px;
}

.simple_product .quantity input.minus {
    position: absolute;
    bottom: 0;
    right: -30px;
    width: 30px;
   font-size: 20px;
    background-color: transparent;
    border: 1px solid #96bbbb;
    color: darkgrey;
	    height: 30px;
}

.simple_product .quantity input:focus {
    outline: none;
}

.simple_product button.single_add_to_cart_button.button.alt {
    font-size: 19px !important;
    color: #f4f4f8 !important;
    background-color: #8bad3f !important;
    border-radius: 15px 15px 15px 15px !important;
    font-weight: normal;
    padding: 15px 30px;
    width: 40% !important;
}

.simple_product button.single_add_to_cart_button.button.alt:hover {
    background-color: #c0d394 !important;
}

.simple_product p.price {
    clear: both;
    float: right;
    display: inline;
    width: 40% !important;
    text-align: right;
    padding-top: 10px;
    padding-right: 10px;
	    margin-top: -85px;
}

.simple_product p.price span {
    color: #8bad3f !important;
    font-size: 24px !important;
    margin-right: 0 !important;
    font-weight: 500;
}

.simple_product p.price del {
    text-decoration-color: #8bad3f !important;
}

.simple_product form.cart {
    float: left !important;
    width: 70% !important;
    text-align: left;
    padding-left: 0;
}


